TAAS - Feature #134

Payment Report
02/02/2023 03:03 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/04/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Payment Report

Description

Coding Payment Report

History

#1 - 02/04/2023 11:53 AM - Junaid M

- File 1-CsModel.cs added

- File 2-tsModel.ts added

- Status changed from New to Open

- Assignee changed from Junaid M to Aparna Mathew

- % Done changed from 0 to 10

#2 - 02/04/2023 12:07 PM - Aparna Mathew

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/04/2023
- % Done changed from 10 to 40

#3 - 02/04/2023 01:00 PM - Junaid M

- File summary-sql-query-payment_report.txt added

#4 - 02/10/2023 10:12 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 02/10/2023 03:34 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Set customer drop down label toggle alignment
2.Set validation on date

3.Fix bugs on grid last rows

(DETAILS > LAST ROW BLUR)

4.Corect grid heading

(Amount in base 1)

#6 - 03/01/2023 05:48 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 03/02/2023 03:37 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Change label on drop down label toggle (CUSTOMER change to SUPPLIER)

2.Sort search result based on filters,

Mode (Selection Box)
Include (Selection Box)
Agency Corporate Card (Check Box)

Customer Corporate Card (Check Box)

3.Change label on Agency Corporate Card & Customer Corporate Card

(RECEIVED change to PAID)

4.DETAILS --> Sort grid by MODE OF PAYMENT

5.Fix bugs on grid

(Details --> Grouped by Normal --> Grid last rows blurred)
6.Add precision on grid

#8 - 03/02/2023 03:44 PM - Amal Cyriac
ISSUE FOUND ***

1.Change label on drop down label toggle (CUSTOMER change to SUPPLIER)

2.Sort search result based on filters,

Mode (Selection Box)
Include (Selection Box)
Agency Corporate Card (Check Box)

Customer Corporate Card (Check Box)

3.Change label on Agency Corporate Card & Customer Corporate Card

(RECEIVED change to PAID)

4.DETAILS --> Sort grid by MODE OF PAYMENT

5.Fix bugs on grid

(Details --> Grouped by Normal --> Grid last rows blurred)
6.Add precision on grid

7.Not allow Receipt details on Payment Report

#9 - 03/17/2023 06:05 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 03/20/2023 04:49 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on grid- wrong data

(Party & FOP)

2.Fix bugs on SI. No.

3.Payment set as default on Include Selection box
4.Fix bugs on Mode selection box

(Drop down button missing)

#11 - 03/21/2023 06:09 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 03/22/2023 05:14 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix error while choose All other Credit on Include selection box

(Ts. )
2.Add precision on grid

(Journal)
3.Remove empty icon from date picker

#13 - 03/24/2023 10:19 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 03/24/2023 04:57 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix errors on Details

(Mode of payment-Showing wrong report)
2.Fix bugs on journal - Party Coloumn
(Not showing party)

#15 - 04/04/2023 10:02 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 04/04/2023 06:41 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set defaults on Department & Mode Selection box
2.Prevent Auto completion on supplier input box from other accounts

#17 - 04/19/2023 12:35 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 04/19/2023 06:26 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Prevent showing deducted values on payment report
2.Not show deduction accounts as Mode of Payment

#19 - 05/18/2023 06:18 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 05/26/2023 06:05 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Settled amount not displaying on grid

#21 - 06/01/2023 04:14 PM - Junaid M
GUI Change
-> Details Tab

e Add Currency column
e Remove settled, Balance Column
e Set Dynamic Column title Amount In QAR
#22 - 06/02/2023 05:26 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 08/03/2023 05:19 PM - unnikannan S
ISSUE FOUNDED

1.REMOVE AMOUNT IN QAR TO AMOUNT
2.NOT CHOOSING PAX CORPORATE CARD IN INCLUDE WHILE ALL SELECT
3.ISSUE WHILE ADDING USD ERROR IN PRECISION

#24 - 08/04/2023 11:26 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

#25 - 08/11/2023 03:35 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 08/19/2023 06:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DATA OVERLAPPING SUB CUSTOMER PROFILE
2.NOT SHOWING ALL PAYMENT DETAILS ONLY BY ADDING THE MANDATORY FIELD

#27 - 08/23/2023 01:11 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#28 - 08/23/2023 02:35 PM - unnikannan S
TESTED OK.

#29 - 09/06/2023 06:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT SHOWING PAID CHEQUE NAME IN DETAILS WHILE SELECTING GROUP BY MODE OF PAYMENT
2.CORRECT THE PRINT FORMAT

#30 - 09/26/2023 03:55 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 10/13/2023 12:33 PM - unnikannan S
TESTING DONE

#32 - 10/14/2023 01:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.CHANGE IN OUTSTANDING COLUMN TO SETTLED WHILE SELECTING BASE 2 USD

2.NOT ENTERING DATA OF VIRTUAL CARD WISE PAYMENT

3.ISSUE WHILE USING EDIT MODE AND CANCEL SHOWING DOC NO IN OTHER MODULES

#33 - 10/28/2023 03:09 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#34 - 11/14/2023 06:12 PM - unnikannan S
TESTING DONE

#35 - 11/14/2023 06:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NO DATA FROM DEBIT CREDIT NOTE MODULE
2.ISSUE IN MODE CLEARING AND SEARCH

#36 - 11/15/2023 03:06 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#37 - 11/16/2023 11:20 AM - unnikannan S
TESTING DONE

#38 - 12/19/2023 06:07 PM - unnikannan S
ISSUE FOUNDED

1.REMOVE AMOUNT IN QAR FROM LIST COLUMN

2.CHANGE PARTY DROP DOWN GROUPING TYPES TO AUTO COMPLETION FIELD

#39 - 02/06/2024 11:15 AM - unnikannan S
TESTING DONE

#40 - 02/06/2024 11:15 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT RE-DIRECTING TO REFUND MODULE

#41 - 02/06/2024 05:18 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#42 - 02/09/2024 11:55 AM - unnikannan S
TESTING DONE

#43 - 02/09/2024 11:56 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING RECEIPT DATA IN CASE OF FOP ACT AS A CLIENT
#44 - 02/19/2024 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#45 - 04/03/2024 01:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW DATAS CURRENCY WISE WHILE SEARCH WITH LEDGER CURRENCY IN SUMMARY TAB

#46 - 04/05/2024 01:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#47 - 04/06/2024 04:30 PM - unnikannan S
TESTING DONE

#48 - 09/27/2024 05:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Mode And Currency In Print

#49 - 10/07/2024 10:17 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#50 - 11/19/2024 07:32 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)IN SUMMARY TAB SUM OF PAYMENT AMOUNT IN DIFFERENT CURRENCY SHOULD SHOW BELOW THE PAYMENT COLUMN
2)IN DEFUALT ,DETAIL TAB HIDE SETTLED AND OUTSTANDING FROM THE GRID (ONLY SHOW WHEN TICKED IN COLUMN CHOOSER)
3)HIDE THE SETTLED AND OUTSTANDING FROM THE PRINT (SHOW ONLY WHEN CHOOSED IN PRINT SETTINGS)

#51 - 11/20/2024 05:19 PM - Arathy PS
NEW CHANGES

1. Dr & Cr card (customer/pax-UCCF), Corporate card (customer/pax-UCCF), Virtual card (customer/pax-UCCF) all should be by default untick in
mode field.

Spelling of agency in Dr & Cr card (agancy).

2. Remove the last three options from Include field (Agency corporate card paid (UCCF), Customer corporate card paid (UCCF), Pax corporate card
paid (UCCF) )

#52 - 11/21/2024 10:06 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#53 - 11/30/2024 03:12 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND
1)Dr & Cr card (customer/pax-UCCF), Corporate card (customer/pax-UCCF), Virtual card (customer/pax-UCCF) all should be by default untick in
mode field.

Spelling of agency in Dr & Cr card (agancy).

2)IN SUMMARY TAB SUM OF PAYMENT AMOUNT IN DIFFERENT CURRENCY SHOULD SHOW BELOW THE PAYMENT COLUMN

3)IN DEFUALT ,DETAIL TAB HIDE SETTLED AND OUTSTANDING FROM THE GRID (ONLY SHOW WHEN TICKED IN COLUMN CHOOSER)
4)HIDE THE SETTLED AND OUTSTANDING FROM THE PRINT (SHOW ONLY WHEN CHOOSED IN PRINT SETTINGS)

#54 - 12/02/2024 10:39 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#55 - 12/05/2024 06:21 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#56 - 01/30/2025 12:55 PM - Arathy PS

- Assignee changed from Aparna Mathew to Sreeranjini T

#57 - 01/30/2025 02:13 PM - Arathy PS
- File clipboard-202501301412-wvjrh.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1. Not showing documents from 'payment+".

2. Add redirection to the document no:

3. When mode selected is PD cheque but data of current cheque is also showing. Not showing data when mode selected is current cheque with data
in current cheque.

4. Placement issue in print.

Payment Report-Summary

Transaction Date : 01/01/2025 - 31/01/2025 Branch
Currency . Basel(QAR) Department

Mode : Cash, Debit & Credit Card(Agency), Corporate Include
Card(Agency), Bank Transfer, PD Cheque

Currency Payment Outstanding
QAR 1420.00 1270.00

Debit & Credit 680.00 I 680.00
Card(Agency)

Corporate 250.00 ! 250.00
Card(Agency)
Bank Transfer 150.00 150.00

PD Cheque 1200.00 1200.00
Total In QAR 3700.00

Printed Date: 30/01/2025 02:10 PM Page: 1/1 Printed By: admin

#58 - 02/04/2025 10:10 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 02/04/2025 01:13 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES Done

1. Add Customer corporate card paid (UCCF), Customer pax corporate card paid (UCCF), Agency corporate card paid (UCCF) in the Include field.

#60 - 02/05/2025 11:57 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#61 - 03/06/2025 12:49 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#62 - 03/06/2025 05:25 PM - Theja Ponon
- File clipboard-202503061724-9yck9.png added

Issue Found

1)Cant see the mode in print

Payment Report-Summary

Transaction Date : 06/01/2024 - 06/03/2025

Currency : Basel (QAR)

Mode : Cash, Debit & Credit Card (Agem:y), Corporate
Carﬂ{Agency), Virtual Card (Agency), uPrI (Paid),
Bank Transfer, Current Chcque(Paid), PD Cheque

Branch
Department

Include

: Payment

Mode Currgncy Payment

Settled

Outstanding

QAR
QAR

QAR

Total In QAR

1000

100

1100

2200.00

1000

100

1100

#63 - 03/07/2025 06:38 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#64 - 03/18/2025 12:30 PM - Theja Ponon
- File clipboard-202503181230-ztswb.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Fixed

Payment Report

42703: column doc.vhr_cons_currency does not exist

Transaction Date* | 18/03/2024 <] ] 18/03/2025 [ I} Branch® | Main

Party ~ Department | Account
Sub Customer (Profile) ~ File No ~

Mode | Cash Debit & Credit Card(Agency) 6 more -

Summary | Details

Currency Payment Settled

#65 - 03/19/2025 09:31 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#66 - 03/20/2025 09:44 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#67 - 03/20/2025 10:36 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Currency*

Include™

Cash Counter | golect

Base2(USD) v

Payment -

T a B 2 &

Outstanding

Files

2-tsModel.ts 2.32 KB 02/04/2023 Junaid M
1-CsModel.cs 1.56 KB 02/04/2023 Junaid M
summary-sql-query-payment_report.txt 1.37 KB 02/04/2023 Junaid M
clipboard-202501301412-wvjrh.png 101 KB 01/30/2025 Arathy PS
clipboard-202503061724-9yck9.png 64.9 KB 03/06/2025 Theja Ponon
clipboard-202503181230-ztswb.png 89.6 KB 03/18/2025 Theja Ponon
